clear
clear mata
clear matrix
#delimit;
set more off;
set maxvar 32767; 
 
**************************************************************************************************************************************************************************************************************
*Select and merge dta.files for partner and anchor and combined. Please not that this do-file generates a dta.file including all waves
**************************************************************************************************************************************************************************************************************
 
local path "";  

local pathd "";

 
 
**************************************************************************************************************************************************************************************************************
*Do partnerlong.dta;
**************************************************************************************************************************************************************************************************************
 
 

use "`pathd'partner1.dta", clear; 

keep pid wave id pval1i3 pval1i4 pval1i5 psd23i10-psd23i22 psrs1i1 psrs1i2 psat3 psat4 ppa14i1 ppa15 ppa21i2 psat5 psat6 ppa14i5 ppa17i7 ppa17i3 psd31 pinc2 ppa14i2 ppa14i5 pjob2 phlt1 phlt7;
 
rename pval1i3 pval1i32009;
rename pval1i4 pval1i42009;
rename pval1i5 pval1i52009;
rename psrs1i1 psrs1i12009;
rename psrs1i2 psrs1i22009;
rename psat3 psat32009;
rename psat4 psat42009;
rename psat5 psat52009;
 
rename ppa15 ppa152009;
rename ppa21i2 ppa21i22009;
 
rename psat6 psat62009;
rename ppa17i7 ppa17i72009;
rename ppa17i3 ppa17i32009;
rename psd31 psd312009;
rename wave wave2009;

rename pinc2 pinc22009;
 
rename ppa14i1 ppa14i12009;
rename ppa14i2 ppa14i22009;
rename ppa14i5  ppa14i52009;
rename pjob2  pjob22009;
rename  phlt1 ph12009;
rename phlt7 ph72009;
rename psd23i10 pi102009;
rename psd23i11 pi112009;
rename psd23i12 pi122009;
rename psd23i13 pi132009;
rename psd23i14 pi142009;
rename psd23i15 pi152009;
rename psd23i16 pi162009;
rename psd23i17 pi172009;
rename psd23i18 pi182009;
rename psd23i19 pi192009;
rename psd23i20 pi202009;
rename psd23i21 pi212009;
rename psd23i22 pi222009;
 
sort pid;
save "`path'partner1_sorted.dta", replace;

 

use "`pathd'partner2.dta", clear;
keep pid wave id psrs1i1 psrs1i2 psat3 psat4 ppa14i1 ppa14i5 psat5 psat6 ppa17i7 ppa17i3 pinc2
   ppa14i2      phlt1 phlt7     ;
 
rename psrs1i1 psrs1i12010;
rename psrs1i2 psrs1i22010;
rename psat3 psat32010;
rename psat4 psat42010;
rename ppa14i1 ppa14i12010;
rename psat5 psat52010;
rename psat6 psat62010;
rename ppa17i7 ppa17i72010;
rename ppa17i3 ppa17i32010;
rename wave wave2010;
rename ppa14i5  ppa14i52010;
rename pinc2 pinc22010;
rename ppa14i2  ppa14i22010;
rename phlt1 ph12010;
rename phlt7 ph72010;
sort pid;
save "`path'partner2_sorted.dta", replace;


use "`pathd'partner3.dta", clear;
keep pid wave id pval1i3 pval1i4 pval1i5 psrs1i1 ppa14i5  psrs1i2 psat3 psat4 ppa14i1 ppa15 
ppa21i2 psat5 psat6 ppa17i7 ppa17i3 psd31 pinc2 ppa14i2   pjob2   phlt1 phlt7 psd23i10-psd23i22 ;
 
rename pval1i3 pval1i32011;
rename pval1i4 pval1i42011;
rename pval1i5 pval1i52011;
rename psrs1i1 psrs1i12011;
rename psrs1i2 psrs1i22011;
rename psat3 psat32011;
rename psat4 psat42011;
rename psat5 psat52011;
rename ppa14i1 ppa14i12011;
rename ppa15 ppa152011;
 
rename psat6 psat62011;
rename ppa17i7 ppa17i72011;
rename ppa17i3 ppa17i32011;
rename psd31 psd312011;
rename wave wave2011;
rename ppa14i5  ppa14i52011;
rename pinc2 pinc22011;
rename ppa21i2 ppa21i22011;

rename ppa14i2  ppa14i22011;
rename  pjob2 pjob22011;
rename   phlt1 ph12011;
rename  phlt7 ph72011; 

rename psd23i10 pi102011;
rename psd23i11 pi112011;
rename psd23i12 pi122011;
rename psd23i13 pi132011;
rename psd23i14 pi142011;
rename psd23i15 pi152011;
rename psd23i16 pi162011;
rename psd23i17 pi172011;
rename psd23i18 pi182011;
rename psd23i19 pi192011;
rename psd23i20 pi202011;
rename psd23i21 pi212011;
rename psd23i22 pi222011;
sort  pid;
save "`path'partner3_sorted.dta", replace;
 


use "`pathd'partner4.dta", clear;
keep pid wave id  psrs1i1 psrs1i2 psat3 psat4 ppa14i1  ppa14i5  
  psat5 psat6 ppa17i7 ppa17i3 psd31 pinc2    ppa14i2  phlt1 phlt7 ;

rename psrs1i1 psrs1i12012;
rename psrs1i2 psrs1i22012;
rename psat3 psat32012;
rename psat4 psat42012;
rename psat5 psat52012;
rename ppa14i1 ppa14i12012;

rename psat6 psat62012;
rename ppa17i7 ppa17i72012;
rename ppa17i3 ppa17i32012;
rename psd31 psd312012;
rename wave wave2012;
rename ppa14i5  ppa14i52012;
rename pinc2 pinc22012;
rename ppa14i2 ppa14i22012;
rename phlt1 ph12012;
rename  phlt7 ph72012;
sort pid;
save "`path'partner4_sorted.dta", replace;


 
use "`pathd'partner5.dta", clear;

keep pid wave id pval1i3 pval1i4 pval1i5   psrs1i1 psrs1i2 psat3 psat4 ppa14i1 ppa15 ppa21i2 psat5 psat6 ppa14i5 ppa17i7 ppa17i3 psd31 
pinc2 ppa14i2 ppa14i5 pjob2 phlt1 phlt7 phlt10 phlt13 phlt14   
ppa14i2   pjob2 psd23i10-psd23i22 ;

rename pval1i3 pval1i32013;
rename pval1i4 pval1i42013;
rename pval1i5 pval1i52013;
rename psrs1i1 psrs1i12013;
rename psrs1i2 psrs1i22013;
rename psat3 psat32013;
rename psat4 psat42013;
rename psat5 psat52013;
 
rename ppa15 ppa152013;
rename ppa21i2 ppa21i22013;
 
rename psat6 psat62013;
rename ppa17i7 ppa17i72013;
rename ppa17i3 ppa17i32013;
rename psd31 psd312013;
rename wave wave2013;

rename pinc2 pinc22013;
 
rename ppa14i1 ppa14i12013;
rename ppa14i2 ppa14i22013;
rename ppa14i5  ppa14i52013;
rename pjob2  pjob22013;
rename  phlt1 ph12013;
rename phlt7 ph72013;
rename phlt13 ph32013; 
rename phlt14  ph42013;  
rename psd23i10 pi102013;
rename psd23i11 pi112013;
rename psd23i12 pi122013;
rename psd23i13 pi132013;
rename psd23i14 pi142013;
rename psd23i15 pi152013;
rename psd23i16 pi162013;
rename psd23i17 pi172013;
rename psd23i18 pi182013;
rename psd23i19 pi192013;
rename psd23i20 pi202013;
rename psd23i21 pi212013;
rename psd23i22 pi222013;
rename phlt10 ph102013;
sort  pid;
save "`path'partner5_sorted.dta", replace;

use "`pathd'partner6.dta", clear;
 
keep pid wave id   psrs1i1 ppa14i5  psrs1i2 psat3 psat4 ppa14i1    
 psat5 psat6 ppa17i7 ppa17i3 psd31 pinc2 ppa14i2      phlt1 phlt7    ppa14i2      pjob23i1  pjob23i2  pjob23i3  pjob23i4  pjob23i5  pjob23i6  pjob23i7  pjob23i8   phlt1 phlt7 phlt10 phlt13 phlt14
     
  ;

rename psrs1i1 psrs1i12014;
rename psrs1i2 psrs1i22014;
rename psat3 psat32014;
rename psat4 psat42014;
rename psat5 psat52014;
rename ppa14i1 ppa14i12014;
 
rename psat6 psat62014;
rename ppa17i7 ppa17i72014;
rename ppa17i3 ppa17i32014;
rename psd31 psd312014;
rename wave wave2014;
rename ppa14i5  ppa14i52014;
rename pinc2 pinc22014;

rename ppa14i2  ppa14i22014;
 
rename   phlt1 ph12014;
rename  phlt7 ph72014;  
rename pjob23i1 pjob23i12014;
rename pjob23i2 pjob23i22014;
rename  pjob23i3   pjob23i32014;
rename pjob23i4 pjob23i42014;
rename pjob23i5 pjob23i52014;
rename pjob23i6 pjob23i62014;
rename pjob23i7 pjob23i72014;
rename pjob23i8 pjob23i82014;
rename  phlt10 ph102014;
rename phlt13 ph32014;
rename phlt14 ph42014;
sort  pid;
save "`path'partner6_sorted.dta", replace;

use "`pathd'partner7.dta", clear;
keep pid wave id pval1i3 pval1i4 pval1i5   psrs1i1 psrs1i2 psat3 psat4 ppa14i1 ppa15 ppa21i2 psat5 psat6 ppa14i5 ppa17i7 ppa17i3 psd31 
pinc2 ppa14i2 ppa14i5 pjob2 phlt1 phlt7 phlt10 phlt13 phlt14   
ppa14i2   pjob2  plsr9i1 plsr9i2 plsr9i3 plsr9i6 plsr9i7  ppa14i2   pjob2   psat7 phlt1 phlt7 phlt10 phlt13 phlt14 psd23i10-psd23i22;

rename pval1i3 pval1i32015;
rename pval1i4 pval1i42015;
rename pval1i5 pval1i52015;
 
rename psrs1i1 psrs1i12015;
rename psrs1i2 psrs1i22015;
rename psat3 psat32015;
rename psat4 psat42015;
rename psat5 psat52015;
 
rename ppa15 ppa152015;
rename ppa21i2 ppa21i22015;
 
rename psat6 psat62015;
rename ppa17i7 ppa17i72015;
rename ppa17i3 ppa17i32015;
rename psd31 psd312015;
rename wave wave2015;

rename pinc2 pinc22015;
 
rename ppa14i1 ppa14i12015;
rename ppa14i2 ppa14i22015;
rename ppa14i5  ppa14i52015;
rename pjob2  pjob22015;
rename  phlt1 ph12015;
rename phlt7 ph72015;
rename phlt13 ph32015; 
rename phlt14  ph42015;  

rename  plsr9i1 plsr9i12015;
rename  plsr9i2 plsr9i22015;
rename   plsr9i3 plsr9i32015;
rename plsr9i6 plsr9i62015;
rename plsr9i7 plsr9i72015;
rename   psat7 pswlb2015;

rename psd23i10 pi102015;
rename psd23i11 pi112015;
rename psd23i12 pi122015;
rename psd23i13 pi132015;
rename psd23i14 pi142015;
rename psd23i15 pi152015;
rename psd23i16 pi162015;
rename psd23i17 pi172015;
rename psd23i18 pi182015;
rename psd23i19 pi192015;
rename psd23i20 pi202015;
rename psd23i21 pi212015;
rename psd23i22 pi222015;
 
 
rename phlt10 ph102015;
 
sort pid;

save "`path'partner7_sorted.dta", replace;
 
use "`pathd'partner8.dta", clear;

keep pid wave id   psrs1i1 psrs1i2 psat3 psat4 ppa14i1  psat5 psat6     ppa14i5 ppa17i7 ppa17i3 psd31 pinc2 ppa14i2 ppa14i5  phlt1 phlt7 
  ppa14i2  pjob23i1  pjob23i2  pjob23i3  pjob23i4  pjob23i5  pjob23i6  pjob23i7  pjob23i8 psat7   phlt10 phlt13 phlt14    ppa14i2   
  pjob23i1  pjob23i2  pjob23i3  pjob23i4  pjob23i5  pjob23i6  pjob23i7  pjob23i8 psat7 phlt1 phlt7 ;
  
rename psrs1i1 psrs1i12016;
rename psrs1i2 psrs1i22016;
rename psat3 psat32016;
rename psat4 psat42016;
rename psat5 psat52016;
 
rename psat6 psat62016;
rename ppa17i7 ppa17i72016;
rename ppa17i3 ppa17i32016;
rename psd31 psd312016;
rename wave wave2016;

rename pinc2 pinc22016;
 
rename ppa14i1 ppa14i12016;
rename ppa14i2 ppa14i22016;
rename ppa14i5  ppa14i52016;
 
rename  phlt1 ph12016;
rename phlt7 ph72016;

rename psat7 pswlb2016;
rename  phlt10 ph102016;
rename phlt13 ph32016;
rename phlt14 ph42016;
 
rename  pjob23i1 pjob23i12016;
rename  pjob23i2 pjob23i22016;
rename  pjob23i3 pjob23i32016;
rename pjob23i4 pjob23i42016;
rename pjob23i5 pjob23i52016;
rename  pjob23i6 pjob23i62016;
rename pjob23i7 pjob23i72016;
rename pjob23i8 pjob23i82016;
 
  
sort pid;
save "`path'partner8_sorted.dta", replace;

use "`pathd'partner9.dta", clear;


keep pid wave id pval1i3 pval1i4 pval1i5   psrs1i1 psrs1i2 psat3 psat4 ppa14i1 ppa15 ppa21i2 psat5 psat6 ppa14i5 ppa17i7 ppa17i3 psd31 pinc2 ppa14i2 ppa14i5 pjob2 phlt1 phlt7 
plsr9i1 plsr9i2 plsr9i3 plsr9i6 plsr9i7  ppa14i2   pjob2   psat7 phlt1 phlt7 phlt10 phlt13 phlt14 psd23i10-psd23i22;

rename pval1i3 pval1i32017;
rename pval1i4 pval1i42017;
rename pval1i5 pval1i52017;
 
rename psrs1i1 psrs1i12017;
rename psrs1i2 psrs1i22017;
rename psat3 psat32017;
rename psat4 psat42017;
rename psat5 psat52017;
 
rename ppa15 ppa152017;
rename ppa21i2 ppa21i22017;
 
rename psat6 psat62017;
rename ppa17i7 ppa17i72017;
rename ppa17i3 ppa17i32017;
rename psd31 psd312017;
rename wave wave2017;

rename pinc2 pinc22017;
 
rename ppa14i1 ppa14i12017;
rename ppa14i2 ppa14i22017;
rename ppa14i5  ppa14i52017;
rename pjob2  pjob22017;
rename  phlt1 ph12017;
rename phlt7 ph72017;
rename plsr9i1 plsr9i12017;
rename plsr9i2 plsr9i22017;
rename plsr9i3 plsr9i32017;
rename plsr9i6 plsr9i62017;
rename plsr9i7 plsr9i72017;
 
rename psat7 pswlb2017; 
rename phlt10 ph102017;
rename phlt13 ph32017;
rename phlt14  ph42017;

rename psd23i10 pi102017;
rename psd23i11 pi112017;
rename psd23i12 pi122017;
rename psd23i13 pi132017;
rename psd23i14 pi142017;
rename psd23i15 pi152017;
rename psd23i16 pi162017;
rename psd23i17 pi172017;
rename psd23i18 pi182017;
rename psd23i19 pi192017;
rename psd23i20 pi202017;
rename psd23i21 pi212017;
rename psd23i22 pi222017;

sort  pid;
save "`path'partner9_sorted.dta", replace;

use "`pathd'partner10.dta", clear;

keep pid wave id   psrs1i1 psrs1i2 psat3 psat4 ppa14i1  psat5 psat6     ppa14i5 ppa17i7 ppa17i3 psd31 pinc2 ppa14i2 ppa14i5  phlt1 phlt7 
  ppa14i2  pjob23i1  pjob23i2  pjob23i3  pjob23i4  pjob23i5  pjob23i6  pjob23i7  pjob23i8 psat7   phlt10 phlt13 phlt14    ppa14i2   
  pjob23i1  pjob23i2  pjob23i3  pjob23i4  pjob23i5  pjob23i6  pjob23i7  pjob23i8 psat7 phlt1 phlt7 ;

rename psrs1i1 psrs1i12018;
rename psrs1i2 psrs1i22018;
rename psat3 psat32018;
rename psat4 psat42018;
rename psat5 psat52018;
 
rename psat6 psat62018;
rename ppa17i7 ppa17i72018;
rename ppa17i3 ppa17i32018;
rename psd31 psd312018;
rename wave wave2018;

rename pinc2 pinc22018;
 
rename ppa14i1 ppa14i12018;
rename ppa14i2 ppa14i22018;
rename ppa14i5  ppa14i52018;
 
rename  phlt1 ph12018;
rename phlt7 ph72018;

rename psat7 pswlb2018;
rename  phlt10 ph102018;
rename phlt13 ph32018;
rename phlt14 ph42018;
 
rename  pjob23i1 pjob23i12018;
rename  pjob23i2 pjob23i22018;
rename  pjob23i3 pjob23i32018;
rename pjob23i4 pjob23i42018;
rename pjob23i5 pjob23i52018;
rename  pjob23i6 pjob23i62018;
rename pjob23i7 pjob23i72018;
rename pjob23i8 pjob23i82018;
 
sort  pid;
save "`path'partner10_sorted.dta", replace; 


use "`pathd'partner11.dta", clear;

keep pid wave id   psrs1i1 psrs1i2 psat3 psat4 ppa14i1  psat5 psat6     ppa14i5 ppa17i7 ppa17i3 psd31 pinc2 ppa14i2 ppa14i5  phlt1 phlt7 
  ppa14i2   psat7   phlt10 phlt13 phlt14     pval1i3 pval1i4 pval1i5     pinc2  pjob2  
plsr9i1 plsr9i2 plsr9i3 plsr9i6 plsr9i7     ;

rename plsr9i1 plsr9i12019;
rename plsr9i2 plsr9i22019;
rename plsr9i3 plsr9i32019;
rename plsr9i6 plsr9i62019;
rename plsr9i7 plsr9i72019;

rename psrs1i1 psrs1i12019;
rename psrs1i2 psrs1i22019;
rename psat3 psat32019;
rename psat4 psat42019;
rename psat5 psat52019;
 
rename psat6 psat62019;
rename ppa17i7 ppa17i72019;
rename ppa17i3 ppa17i32019;
rename psd31 psd312019;
rename wave wave2019;

rename pinc2 pinc22019;
 
rename ppa14i1 ppa14i12019;
rename ppa14i2 ppa14i22019;
rename ppa14i5  ppa14i52019;
 
rename  phlt1 ph12019;
rename phlt7 ph72019;

rename psat7 pswlb2019;
rename  phlt10 ph102019;
rename phlt13 ph32019;
rename phlt14 ph42019;
 
rename pval1i3 pval1i32019;
rename pval1i4 pval1i42019;
rename pval1i5 pval1i52019;
 
rename pjob2 pjob22019; 
 
sort  pid;
save "`path'partner11_sorted.dta", replace; 


use "`pathd'partner12.dta", clear;

keep pid wave id     psat3 psat4 ppa14i1  psat5 psat6     ppa14i5 ppa17i7 ppa17i3 psd31 pinc2 ppa14i2 ppa14i5  phlt1 phlt7 
  ppa14i2  pjob23i1  pjob23i2  pjob23i3  pjob23i4  pjob23i5  pjob23i6  pjob23i7  pjob23i8 psat7    ppa14i2   psat7 phlt1 phlt7 ;

 
rename psat3 psat32020;
rename psat4 psat42020;
rename psat5 psat52020;
 
rename psat6 psat62020;
rename ppa17i7 ppa17i72020;
rename ppa17i3 ppa17i32020;
rename psd31 psd312020;
rename wave wave2020;

rename pinc2 pinc22020;
 
rename ppa14i1 ppa14i12020;
rename ppa14i2 ppa14i22020;
rename ppa14i5  ppa14i52020;
 
rename  phlt1 ph12020;
rename phlt7 ph72020;

rename psat7 pswlb2020;

 
rename  pjob23i1 pjob23i12020;
rename  pjob23i2 pjob23i22020;
rename  pjob23i3 pjob23i32020;
rename pjob23i4 pjob23i42020;
rename pjob23i5 pjob23i52020;
rename  pjob23i6 pjob23i62020;
rename pjob23i7 pjob23i72020;
rename pjob23i8 pjob23i82020;
 
sort  pid;
save "`path'partner12_sorted.dta", replace; 

 
************************************************************************************************* 
*MERGE PARTNER DATEN IN LONG;

use "`path'partner1_sorted.dta", clear;
sort pid;
merge pid using "`path'partner2_sorted.dta";
tab _merge;
drop _merge;
sort  pid ;
save "`path'partnerwide_sorted.dta", replace;
 
use "`path'partnerwide_sorted.dta", clear;
sort  pid ;
merge  pid using "`path'partner3_sorted.dta";
tab _merge;
drop _merge;
sort   pid ;
save "`path'partnerwide_sorted.dta", replace;

use "`path'partnerwide_sorted.dta", clear;
sort  pid;
merge  pid using "`path'partner4_sorted.dta";
tab _merge;
drop _merge;
sort   pid;
save "`path'partnerwide_sorted.dta", replace;

use "`path'partnerwide_sorted.dta", clear;
sort  pid ;
merge  pid  using "`path'partner5_sorted.dta";
tab _merge;
drop _merge;
sort    pid;
save "`path'partnerwide_sorted.dta", replace;

use "`path'partnerwide_sorted.dta", clear;
sort  pid ;
merge  pid using "`path'partner6_sorted.dta";
tab _merge;
drop _merge;
sort    pid;
save "`path'partnerwide_sorted.dta", replace;

use "`path'partnerwide_sorted.dta", clear;
sort  pid;
merge pid using "`path'partner7_sorted.dta";
tab _merge;
drop _merge;
sort    pid;
save "`path'partnerwide_sorted.dta", replace;

use "`path'partnerwide_sorted.dta", clear;
sort  pid;
merge pid using "`path'partner8_sorted.dta";
tab _merge;
drop _merge;
sort   pid;
save "`path'partnerwide_sorted.dta", replace;
 
use "`path'partnerwide_sorted.dta", clear;
sort pid;
merge  pid using "`path'partner9_sorted.dta";
tab _merge;
drop _merge;
sort   pid;
save "`path'partnerwide_sorted.dta", replace;

use "`path'partnerwide_sorted.dta", clear;
sort pid;
merge  pid using "`path'partner10_sorted.dta";
tab _merge;
drop _merge;
sort   pid;
save "`path'partnerwide_sorted.dta", replace;

use "`path'partnerwide_sorted.dta", clear;
sort pid;
merge  pid using "`path'partner11_sorted.dta";
tab _merge;
drop _merge;
sort   pid;
save "`path'partnerwide_sorted.dta", replace;
 
use "`path'partnerwide_sorted.dta", clear;
sort pid;
merge  pid using "`path'partner12_sorted.dta";
tab _merge;
drop _merge;
sort   pid;
save "`path'partnerwide_sorted.dta", replace;


use "`path'partnerwide_sorted.dta", clear;
reshape long psrs1i1 psrs1i2 psat3 psat4 psat5 psat6 ppa14i1 ppa17i7 ppa17i3  pval1i3 pval1i4 pval1i5 pjob2 ppa14i5 pswlb
ppa15 ppa21i2 psd31 wave  pinc2  ppa14i2  pjob23i1  pjob23i2  pjob23i3  pjob23i4  pjob23i5  pjob23i6  pjob23i7  pjob23i8 psat7   ph3 ph4 ph10   
ph1 ph7 pi10 pi11 pi12 pi13 pi14 pi15 pi16 pi17 pi18 pi19 pi20 pi21 pi22 plsr9i1 plsr9i2 plsr9i3 plsr9i6 plsr9i7 , i(pid) j(year);


drop if wave==.;
 

mvdecode _all, mv(-2);
mvdecode _all, mv(-4);
mvdecode _all, mv(-7);
mvdecode _all, mv(-1);
mvdecode _all, mv(-3);
mvdecode _all, mv(-9);

rename pval1i3 pfraufam;
rename pval1i4 pmanhh;
rename pval1i5 pkinleid;
rename psrs1i1 piworkint;
rename psrs1i2 pileisure;
rename psat3 psatrel;
rename psat4 psatrelpa;
rename psat5 psatsex;
rename psat6 plifesat;
rename ppa14i1 phhdiv;
rename ppa14i5 phhcar;
rename ppa17i7 pdruchs;
rename ppa17i3 peinflu;
rename ppa15 pgerechhh;
rename ppa21i2 pkonflhh;
rename psd31 prelprak;

sort id year;
save "`path'partnerlong.dta", replace;

 
 
**************************************************************************************************************************************************************************************************************
*Do anchorlong.dta;
**************************************************************************************************************************************************************************************************************
*ANCHOR DATA SELECT VARS;

use "`pathd'anchor1.dta", clear;
keep pid wave id val1i3 val1i4 val1i5 val1i6 srs1i1 srs1i2 sat3 sat4 pa14i1 pa15 pa21i2 sat5 job1 sd19k1y  sd19k1y sd19k2y sd19k3y sd19k4y sd19k5y sd19k6y sd19k7y sd19k8y sd19k9y  sd19k10y
sat6 pa14i5 pa17i7 pa17i3 sd31 reldur age page sex_gen psex_gen east migstatus lfs plfs ncoh nmar np hhcomp incnet hhincnet
pcasmin casmin pyeduc yeduc relstat cohort dweight sdp12  nkidsalv isced pisced hhsizemrd hhincoecd childmrd mcob fcob pcob cob 
ykage job7 job8 job13i1 job13i2 frt11v2i2 frt11v2i4 frt11v2i5 sd23i14 sd23i11 job2 job3 job4 job9 job10 job11 job12  job1  job2 job13i2-job13i6 sdp10i1-sdp10i15 sdp11 sdp12 hlt1 hlt7 isco08 demodiff dweight d3weight
;

rename job1 job12009; 
rename dweight dweight2009;
rename d3weight d3weight2009;
rename sd23i14 sd23i142009;
rename sd23i11 sd23i112009;
rename isco08 isco082009;
rename frt11v2i2 frt11v2i22009;
rename frt11v2i4 frt11v2i42009;
rename frt11v2i5 frt11v2i52009;
rename ykage ykage2009;
rename job7 job72009;
rename job8 job82009;
rename job13i1 jp12009;
rename job13i2 jp22009;
rename val1i3 vali32009;
rename val1i4 vali42009;
rename val1i5 vali52009;
rename srs1i1 srs1i12009;
rename srs1i2 srs1i22009;
rename sat3 sat32009;
rename sat4 sat42009;
rename pa14i1 pa14i12009;
rename pa15 pa152009;
rename pa21i2 pa21i22009;
rename sat5 sat52009;
rename sat6 sat62009;
rename pa17i7 pa17i72009;
rename pa17i3 pa17i32009;
rename sd31 sd312009;
rename wave wave2009;
rename reldur reldur2009;
rename age age2009;
rename page page2009;
rename sex_gen sex_gen2009;
rename psex_gen psex_gen2009;
rename east east2009;
rename migstatus migstatus2009;
rename lfs lfs2009;
rename plfs plfs2009;
rename ncoh ncoh2009;
rename nmar nmar2009;
rename np np2009;
rename hhcomp hhcomp2009;
rename incnet incnet2009;
rename hhincnet hhincnet2009;
rename pcasmin pcasmin2009;
rename casmin casmin2009;
rename pyeduc pyeduc2009;
rename yeduc yeduc2009;
rename relstat relstat2009;
rename sdp12  whp2009; 
rename nkidsalv nkidsalv2009;
rename pa14i5 hhcar2009;
rename isced isced2009;
rename pisced pisced2009;
rename mcob mcob2009;
rename fcob fcob2009;
rename pcob pcob2009;
rename cob cob2009;

rename job2 job22009;
rename job3 job32009;
rename job4 job42009;
rename job9 job92009;
rename job10 job102009;
rename job11 job112009;
rename job12 job122009;
rename job13i3 jp32009;
rename job13i4 jp42009;
rename job13i5 jp52009;
rename job13i6 jp62009; 

rename  sdp10i1  pfull2009;
rename  sdp10i2  pself2009;
rename  sdp10i3  ppart2009;
rename  sdp10i4  ptrain2009;
rename  sdp10i5  pmini2009;
rename  sdp10i6  pirreg2009;
rename  sdp10i7  pvoc2009;
rename  sdp10i8  pleav2009;
rename  sdp10i9  puni2009;
rename  sdp10i10  psoc2009;
rename  sdp10i11  punem2009;
rename  sdp10i12  phouse2009;
rename  sdp10i13  pojob2009;
rename  sdp10i14  pounem2009;
rename  sdp10i15  pretir2009;
rename sdp11 pstatus2009;
rename hlt1 h12009;
rename hlt7  h72009;   

rename sd19k1y sd19k1y2009;
rename sd19k2y sd19k2y2009;
rename sd19k3y sd19k3y2009;
rename sd19k4y sd19k4y2009;
rename sd19k5y sd19k5y2009;
rename sd19k6y sd19k6y2009;
rename sd19k7y sd19k7y2009;
rename sd19k8y sd19k8y2009;
rename sd19k9y sd19k9y2009;
rename sd19k10y sd19k10y2009;
rename hhsizemrd hhsizemrd2009;

rename hhincoecd hhincoecd2009;
rename childmrd childmrd2009;
sort id;
save "`path'anchor1_sorted.dta", replace;

 
 
use  pid wave id srs1i1 srs1i2 sat3 sat4 pa14i1 sat5 isco08 demodiff dweight d3weight k1age k2age k3age k4age k5age k6age k7age k8age k9age k10age ykage hhsizemrd
sat6 pa14i5 pa17i7 pa17i3 reldur age page sex_gen psex_gen east migstatus lfs plfs ncoh nmar np hhcomp incnet hhincnet hhincoecd childmrd
pcasmin casmin pyeduc yeduc relstat cohort dweight sdp12 nkidsalv isced pisced ykage job7 job8 job13i1 job13i2 frt11v2i2 frt11v2i4 frt11v2i5 
job2 job3 job4 job9 job10 job11 job12   job13i2-job13i6 sdp10i1-sdp10i15 sdp11 sdp12 hlt1 hlt7  mcob fcob pcob cob
ehc19i* job19 job20o job19 job21  job13i8 job13i9    sdp20    using "`pathd'anchor2.dta", clear;

rename job19 job192010;
rename job20o job20o2010;  
rename dweight dweight2010;
rename d3weight d3weight2010;
rename isco08 isco082010;
rename frt11v2i2 frt11v2i22010;
rename frt11v2i4 frt11v2i42010;
rename frt11v2i5 frt11v2i52010; 

rename ykage ykage2010;
rename job7 job72010;
rename job8 job82010;
rename job13i1 jp12010;
rename job13i2 jp22010;

rename srs1i1 srs1i12010;
rename srs1i2 srs1i22010;
rename sat3 sat32010;
rename sat4 sat42010;
rename pa14i1 pa14i12010;

rename sat5 sat52010;
rename sat6 sat62010;
rename pa17i7 pa17i72010;
rename pa17i3 pa17i32010;

rename wave wave2010;
rename reldur reldur2010;
rename age age2010;
rename page page2010;
rename sex_gen sex_gen2010;
rename psex_gen psex_gen2010;
rename east east2010;
rename migstatus migstatus2010;
rename lfs lfs2010;
rename plfs plfs2010;
rename ncoh ncoh2010;
rename nmar nmar2010;
rename np np2010;
rename hhcomp hhcomp2010;
rename incnet incnet2010;
rename hhincnet hhincnet2010;
rename pcasmin pcasmin2010;
rename casmin casmin2010;
rename pyeduc pyeduc2010;
rename yeduc yeduc2010;
rename relstat relstat2010;
rename sdp12  whp2010; 
rename nkidsalv nkidsalv2010; 
rename pa14i5 hhcar2010;
rename isced isced2010;
rename pisced pisced2010;

rename job2 job22010;
rename job3 job32010;
rename job4 job42010;
rename job9 job92010;
rename job10 job102010;
rename job11 job112010;
rename job12 job122010;
rename job13i3 jp32010;
rename job13i4 jp42010;
rename job13i5 jp52010;
rename job13i6 jp62010; 

rename  sdp10i1  pfull2010;
rename  sdp10i2  pself2010;
rename  sdp10i3  ppart2010;
rename  sdp10i4  ptrain2010;
rename  sdp10i5  pmini2010;
rename  sdp10i6  pirreg2010;
rename  sdp10i7  pvoc2010;
rename  sdp10i8  pleav2010;
rename  sdp10i9  puni2010;
rename  sdp10i10  psoc2010;
rename  sdp10i11  punem2010;
rename  sdp10i12  phouse2010;
rename  sdp10i13  pojob2010;
rename  sdp10i14  pounem2010;
rename  sdp10i15  pretir2010;
rename sdp11 pstatus2010;
rename hlt1 h12010;
rename hlt7  h72010; 

rename ehc19i10 occ102010;
rename ehc19i11 occ112010;
rename ehc19i12 occ122010;
rename ehc19i13 occ132010;
rename ehc19i14 occ142010;
rename ehc19i15 occ152010;
rename ehc19i16 occ162010;
rename ehc19i17 occ172010;
rename ehc19i18 occ182010;
rename ehc19i19 occ192010;
rename ehc19i20 occ202010;
rename job19 socc2010;
rename job13i8 coll2010;
rename job13i9  clim2010;  
rename sdp20   pnight2010;   

rename k1age k1age2010;
rename k2age k2age2010;
rename k3age k3age2010;
rename k4age k4age2010;
rename k5age k5age2010;
rename k6age k6age2010;
rename k7age k7age2010;
rename k8age k8age2010;
rename k9age k9age2010;
rename k10age k10age2010;
rename hhsizemrd hhsizemrd2010;

rename hhincoecd hhincoecd2010;
rename childmrd childmrd2010;
rename mcob mcob2010;
rename fcob fcob2010;
rename pcob pcob2010;
rename cob cob2010;
sort id;
save "`path'anchor2_sorted.dta", replace;

 
use "`pathd'anchor3.dta", clear;
 
keep pid wave id val1i3 val1i4 val1i5 val1i6 srs1i1 srs1i2 sat3 sat4 pa14i1 pa15 pa21i2 sat5 isco08 demodiff d3weight dweight k1age k2age k3age k4age k5age k6age k7age k8age k9age k10age ykage
sat6  pa14i5 pa17i7 pa17i3 reldur age page sex_gen psex_gen east migstatus lfs plfs ncoh nmar np hhcomp incnet hhincnet hhsizemrd hhincoecd childmrd
pcasmin casmin pyeduc yeduc relstat cohort dweight sdp12  nkidsalv isced pisced mcob fcob pcob cob
ykage job7 job8 job13i1 job13i2 frt11v2i2 frt11v2i4 frt11v2i5 job2 job3 job4 job9 job10 job11 job12   job13i2-job13i6 sdp10i* sdp11 sdp12 hlt1 hlt7 
ehc19i* job19 job20o job13i2-job13i6 job13i8 job13i9    sdp20 
 ;

rename job20o job20o2011; 
rename dweight dweight2011;
rename d3weight d3weight2011;
rename isco08 isco082011;

rename frt11v2i2 frt11v2i22011;
rename frt11v2i4 frt11v2i42011;
rename frt11v2i5 frt11v2i52011;

rename ykage ykage2011;
rename job7 job72011;
rename job8 job82011;
rename job13i1 jp12011;
rename job13i2 jp22011;


rename val1i3 vali32011;
rename val1i4 vali42011;
rename val1i5 vali52011;
rename srs1i1 srs1i12011;
rename srs1i2 srs1i22011;
rename sat3 sat32011;
rename sat4 sat42011;
rename pa14i1 pa14i12011;
rename pa15 pa152011;
rename pa21i2 pa21i22011;
rename sat5 sat52011;
rename sat6 sat62011;
rename pa17i7 pa17i72011;
rename pa17i3 pa17i32011;
rename wave wave2011;
rename reldur reldur2011;
rename age age2011;
rename page page2011;
rename sex_gen sex_gen2011;
rename psex_gen psex_gen2011;
rename east east2011;
rename migstatus migstatus2011;
rename lfs lfs2011;
rename plfs plfs2011;
rename ncoh ncoh2011;
rename nmar nmar2011;
rename np np2011;
rename hhcomp hhcomp2011;
rename incnet incnet2011;
rename hhincnet hhincnet2011;
rename pcasmin pcasmin2011;
rename casmin casmin2011;
rename pyeduc pyeduc2011;
rename yeduc yeduc2011;
rename relstat relstat2011;
rename sdp12  whp2011; 
rename nkidsalv nkidsalv2011; 
rename pa14i5 hhcar2011;
rename isced isced2011;
rename pisced pisced2011;

rename job2 job22011;
rename job3 job32011;
rename job4 job42011;
rename job9 job92011;
rename job10 job102011;
rename job11 job112011;
rename job12 job122011;
rename job13i3 jp32011;
rename job13i4 jp42011;
rename job13i5 jp52011;
rename job13i6 jp62011; 
rename  sdp10i1  pfull2011;
rename  sdp10i2  pself2011;
rename  sdp10i3  ppart2011;
rename  sdp10i4  ptrain2011;
rename  sdp10i5  pmini2011;
rename  sdp10i6  pirreg2011;
rename  sdp10i7  pvoc2011;
rename  sdp10i8  pleav2011;
rename  sdp10i9  puni2011;
rename  sdp10i10  psoc2011;
rename  sdp10i11  punem2011;
rename  sdp10i12  phouse2011;
rename  sdp10i13  pojob2011;
rename  sdp10i14  pounem2011;
rename  sdp10i15  pretir2011;
rename sdp11 pstatus2011;
rename hlt1 h12011;
rename hlt7  h72011;

rename ehc19i10 occ102011;
rename ehc19i11 occ112011;
rename ehc19i12 occ122011;
rename ehc19i13 occ132011;
rename ehc19i14 occ142011;
rename ehc19i15 occ152011;
rename ehc19i16 occ162011;
rename ehc19i17 occ172011;
rename ehc19i18 occ182011;
rename ehc19i19 occ192011;
rename ehc19i20 occ202011;
rename job19 socc2011;
rename job13i8 coll2011;
rename job13i9  clim2011;  
rename sdp20   pnight2011; 

rename k1age k1age2011;
rename k2age k2age2011;
rename k3age k3age2011;
rename k4age k4age2011;
rename k5age k5age2011;
rename k6age k6age2011;
rename k7age k7age2011;
rename k8age k8age2011;
rename k9age k9age2011;
rename k10age k10age2011;
rename hhsizemrd hhsizemrd2011; 

rename hhincoecd hhincoecd2011;
rename childmrd childmrd2011;

rename mcob mcob2011;
rename fcob fcob2011;
rename pcob pcob2011;
rename cob cob2011;
sort id;
save "`path'anchor3_sorted.dta", replace;


use  pid wave id srs1i1 srs1i2 sat3 sat4 pa14i1 sat5 isco08 demodiff d3weight dweight k1age k2age k3age k4age k5age k6age k7age k8age k9age k10age ykage
sat6 pa14i5 pa17i7 pa17i3 reldur age page sex_gen psex_gen east migstatus lfs plfs ncoh nmar np hhcomp incnet hhincnet hhincoecd childmrd
pcasmin casmin pyeduc yeduc relstat cohort dweight sdp12  nkidsalv isced pisced ykage job7 job8 job13i1 job13i2 frt11v2i2 frt11v2i4 frt11v2i5 
job2 job3 job4 job9 job10 job11 job12   job13i2-job13i6 sdp10i* sdp11 sdp12 hlt1 hlt7   hhsizemrd mcob fcob pcob cob
ehc19i* job19  job13i* job13i8 job13i9 job20o   sdp20   sd34i* using  "`pathd'anchor4.dta", clear;


rename job20o job20o2012;  
rename dweight dweight2012;
rename d3weight d3weight2012;
rename isco08 isco082012;
rename frt11v2i2 frt11v2i22012;
rename frt11v2i4 frt11v2i42012;
rename frt11v2i5 frt11v2i52012; 

rename ykage ykage2012;
rename job7 job72012;
rename job8 job82012;
rename job13i1 jp12012;
rename job13i2 jp22012;

rename srs1i1 srs1i12012;
rename srs1i2 srs1i22012;
rename sat3 sat32012;
rename sat4 sat42012;
rename pa14i1 pa14i12012;

rename sat5 sat52012;
rename sat6 sat62012;
rename pa17i7 pa17i72012;
rename pa17i3 pa17i32012;

rename wave wave2012;
rename reldur reldur2012;
rename age age2012;
rename page page2012;
rename sex_gen sex_gen2012;
rename psex_gen psex_gen2012;
rename east east2012;
rename migstatus migstatus2012;
rename lfs lfs2012;
rename plfs plfs2012;
rename ncoh ncoh2012;
rename nmar nmar2012;
rename np np2012;
rename hhcomp hhcomp2012;
rename incnet incnet2012;
rename hhincnet hhincnet2012;
rename pcasmin pcasmin2012;
rename casmin casmin2012;
rename pyeduc pyeduc2012;
rename yeduc yeduc2012;
rename relstat relstat2012;
rename sdp12  whp2012; 
rename nkidsalv nkidsalv2012;  
rename pa14i5 hhcar2012;
rename isced isced2012;
rename pisced pisced2012;

rename job2 job22012;
rename job3 job32012;
rename job4 job42012;
rename job9 job92012;
rename job10 job102012;
rename job11 job112012;
rename job12 job122012;
rename job13i3 jp32012;
rename job13i4 jp42012;
rename job13i5 jp52012;
rename job13i6 jp62012; 
rename  sdp10i1  pfull2012;
rename  sdp10i2  pself2012;
rename  sdp10i3  ppart2012;
rename  sdp10i4  ptrain2012;
rename  sdp10i5  pmini2012;
rename  sdp10i6  pirreg2012;
rename  sdp10i7  pvoc2012;
rename  sdp10i8  pleav2012;
rename  sdp10i9  puni2012;
rename  sdp10i10  psoc2012;
rename  sdp10i11  punem2012;
rename  sdp10i12  phouse2012;
rename  sdp10i13  pojob2012;
rename  sdp10i14  pounem2012;
rename  sdp10i15  pretir2012;
rename sdp11 pstatus2012;
rename hlt1 h12012;
rename hlt7  h72012;

rename ehc19i10 occ102012;
rename ehc19i11 occ112012;
rename ehc19i12 occ122012;
rename ehc19i13 occ132012;
rename ehc19i14 occ142012;
rename ehc19i15 occ152012;
rename ehc19i16 occ162012;
rename ehc19i17 occ172012;
rename ehc19i18 occ182012;
rename ehc19i19 occ192012;
rename ehc19i20 occ202012;
rename job19 socc2012;
rename job13i8 coll2012;
rename job13i9  clim2012;  
rename sdp20   pnight2012; 

rename sd34i1 mpart2012;
rename sd34i2 mtrain2012;
rename sd34i3 mmini2012;
rename sd34i4 mirreg2012;
rename sd34i5 mojob2012;

rename k1age k1age2012;
rename k2age k2age2012;
rename k3age k3age2012;
rename k4age k4age2012;
rename k5age k5age2012;
rename k6age k6age2012;
rename k7age k7age2012;
rename k8age k8age2012;
rename k9age k9age2012;
rename k10age k10age2012;

rename hhincoecd hhincoecd2012;
rename childmrd childmrd2012; 
rename hhsizemrd hhsizemrd2012;

rename mcob mcob2012;
rename fcob fcob2012;
rename pcob pcob2012;
rename cob cob2012;
sort id;
save "`path'anchor4_sorted.dta", replace;


use "`pathd'anchor5.dta", clear;
keep pid wave id val1i3 val1i4 val1i5 val1i6 srs1i1 srs1i2 sat3 sat4 pa14i1 pa15 pa21i2 sat5 isco08 demodiff d3weight dweight k1age k2age k3age k4age k5age k6age k7age k8age k9age k10age ykage
sat6  pa14i5 pa17i7 pa17i3 reldur age page sex_gen psex_gen east migstatus lfs plfs ncoh nmar np hhcomp incnet hhincnet hhincoecd childmrd
pcasmin casmin pyeduc yeduc relstat cohort dweight sdp12  nkidsalv isced pisced hhsizemrd mcob fcob pcob cob
ykage job7 job8 job13i1 job13i2 job2 job3 job4 job9 job10 job11 job12   job13i2-job13i6 sdp10i* sdp11 sdp12 hlt1 hlt7
ehc19i* job19 job20o job13i* job13i8 job13i9    sdp20 sd34i*   ;


rename job20o job20o2013;  
rename dweight dweight2013;
rename d3weight d3weight2013;
rename isco08 isco082013;
rename ykage ykage2013;
rename job7 job72013;
rename job8 job82013;
rename job13i1 jp12013;
rename job13i2 jp22013;

rename val1i3 vali32013;
rename val1i4 vali42013;
rename val1i5 vali52013;
rename srs1i1 srs1i12013;
rename srs1i2 srs1i22013;
rename sat3 sat32013;
rename sat4 sat42013;
rename pa14i1 pa14i12013;
rename pa15 pa152013;
rename pa21i2 pa21i22013;
rename sat5 sat52013;
rename sat6 sat62013;
rename pa17i7 pa17i72013;
rename pa17i3 pa17i32013;
rename wave wave2013;
rename reldur reldur2013;
rename age age2013;
rename page page2013;
rename sex_gen sex_gen2013;
rename psex_gen psex_gen2013;
rename east east2013;
rename migstatus migstatus2013;
rename lfs lfs2013;
rename plfs plfs2013;
rename ncoh ncoh2013;
rename nmar nmar2013;
rename np np2013;
rename hhcomp hhcomp2013;
rename incnet incnet2013;
rename hhincnet hhincnet2013;
rename pcasmin pcasmin2013;
rename casmin casmin2013;
rename pyeduc pyeduc2013;
rename yeduc yeduc2013;
rename relstat relstat2013;
rename sdp12  whp2013; 
rename nkidsalv nkidsalv2013; 
rename pa14i5 hhcar2013;
rename isced isced2013;
rename pisced pisced2013;

rename job2 job22013;
rename job3 job32013;
rename job4 job42013;
rename job9 job92013;
rename job10 job102013;
rename job11 job112013;
rename job12 job122013;
rename job13i3 jp32013;
rename job13i4 jp42013;
rename job13i5 jp52013;
rename job13i6 jp62013; 
rename  sdp10i1  pfull2013;
rename  sdp10i2  pself2013;
rename  sdp10i3  ppart2013;
rename  sdp10i4  ptrain2013;
rename  sdp10i5  pmini2013;
rename  sdp10i6  pirreg2013;
rename  sdp10i7  pvoc2013;
rename  sdp10i8  pleav2013;
rename  sdp10i9  puni2013;
rename  sdp10i10  psoc2013;
rename  sdp10i11  punem2013;
rename  sdp10i12  phouse2013;
rename  sdp10i13  pojob2013;
rename  sdp10i14  pounem2013;
rename  sdp10i15  pretir2013;
rename sdp11 pstatus2013;
rename hlt1 h12013;
rename hlt7  h72013;

rename ehc19i10 occ102013;
rename ehc19i11 occ112013;
rename ehc19i12 occ122013;
rename ehc19i13 occ132013;
rename ehc19i14 occ142013;
rename ehc19i15 occ152013;
rename ehc19i16 occ162013;
rename ehc19i17 occ172013;
rename ehc19i18 occ182013;
rename ehc19i19 occ192013;
rename ehc19i20 occ202013;
rename job19 socc2013;
rename job13i8 coll2013;
rename job13i9  clim2013;  
rename sdp20   pnight2013;

rename sd34i1 mpart2012;
rename sd34i2 mtrain2013;
rename sd34i3 mmini2013;
rename sd34i4 mirreg2013;
rename sd34i5 mojob2013;
rename k1age k1age2013;
rename k2age k2age2013;
rename k3age k3age2013;
rename k4age k4age2013;
rename k5age k5age2013;
rename k6age k6age2013;
rename k7age k7age2013;
rename k8age k8age2013;
rename k9age k9age2013;
rename k10age k10age2013;
rename hhsizemrd hhsizemrd2013;
rename hhincoecd hhincoecd2013;
rename childmrd childmrd2013;

rename mcob mcob2013;
rename fcob fcob2013;
rename pcob pcob2013;
rename cob cob2013;
sort id;
save "`path'anchor5_sorted.dta", replace;


use  pid wave id srs1i1 srs1i2 sat3 sat4 pa14i1 sat5 sat7 isco08 demodiff d3weight dweight k1age k2age k3age k4age k5age k6age k7age k8age k9age k10age ykage
sat6 pa14i5 pa17i7 pa17i3 reldur age page sex_gen psex_gen east migstatus lfs plfs ncoh nmar np hhcomp incnet hhincnet hhincoecd childmrd
pcasmin casmin pyeduc yeduc relstat cohort dweight sdp12  nkidsalv isced pisced ykage job7 job8 job13i1 job13i2 frt11v2i2 frt11v2i4 frt11v2i5 
job2 job3 job4 job9 job10 job11 job12   job13i2-job13i6 sdp10i* sdp11 sdp12 hlt1 hlt7   hhsizemrd mcob fcob pcob cob
ehc19i* job19 job20o job13i* job13i8 job13i9    sdp20  sd34i*  sat7 job13i10 job13i11 job23i* using  "`pathd'anchor6.dta", clear;


rename job20o job20o2014;  
rename dweight dweight2014;
rename d3weight d3weight2014;
rename isco08 isco082014;
rename frt11v2i2 frt11v2i22014;
rename frt11v2i4 frt11v2i42014;
rename frt11v2i5 frt11v2i52014; 

rename ykage ykage2014;
rename job7 job72014;
rename job8 job82014;
rename job13i1 jp12014;
rename job13i2 jp22014;
 

rename srs1i1 srs1i12014;
rename srs1i2 srs1i22014;
rename sat3 sat32014;
rename sat4 sat42014;
rename pa14i1 pa14i12014;

rename sat5 sat52014;
rename sat6 sat62014;
rename pa17i7 pa17i72014;
rename pa17i3 pa17i32014;

rename wave wave2014;
rename reldur reldur2014;
rename age age2014;
rename page page2014;
rename sex_gen sex_gen2014;
rename psex_gen psex_gen2014;
rename east east2014;
rename migstatus migstatus2014;
rename lfs lfs2014;
rename plfs plfs2014;
rename ncoh ncoh2014;
rename nmar nmar2014;
rename np np2014;
rename hhcomp hhcomp2014;
rename incnet incnet2014;
rename hhincnet hhincnet2014;
rename pcasmin pcasmin2014;
rename casmin casmin2014;
rename pyeduc pyeduc2014;
rename yeduc yeduc2014;
rename relstat relstat2014;
rename sdp12  whp2014; 
rename nkidsalv nkidsalv2014;  
rename pa14i5 hhcar2014;
rename isced isced2014;
rename pisced pisced2014;

rename job2 job22014;
rename job3 job32014;
rename job4 job42014;
rename job9 job92014;
rename job10 job102014;
rename job11 job112014;
rename job12 job122014;
rename job13i3 jp32014;
rename job13i4 jp42014;
rename job13i5 jp52014;
rename job13i6 jp62014; 
rename  sdp10i1  pfull2014;
rename  sdp10i2  pself2014;
rename  sdp10i3  ppart2014;
rename  sdp10i4  ptrain2014;
rename  sdp10i5  pmini2014;
rename  sdp10i6  pirreg2014;
rename  sdp10i7  pvoc2014;
rename  sdp10i8  pleav2014;
rename  sdp10i9  puni2014;
rename  sdp10i10  psoc2014;
rename  sdp10i11  punem2014;
rename  sdp10i12  phouse2014;
rename  sdp10i13  pojob2014;
rename  sdp10i14  pounem2014;
rename  sdp10i15  pretir2014;
rename sdp11 pstatus2014;
rename hlt1 h12014;
rename hlt7  h72014;

rename ehc19i10 occ102014;
rename ehc19i11 occ112014;
rename ehc19i12 occ122014;
rename ehc19i13 occ132014;
rename ehc19i14 occ142014;
rename ehc19i15 occ152014;
rename ehc19i16 occ162014;
rename ehc19i17 occ172014;
rename ehc19i18 occ182014;
rename ehc19i19 occ192014;
rename ehc19i20 occ202014;
rename job19 socc2014;
rename job13i8 coll2014;
rename job13i9  clim2014;  
rename sdp20   pnight2014;

rename sd34i1 mpart2014;
rename sd34i2 mtrain2014;
rename sd34i3 mmini2014;
rename sd34i4 mirreg2014;
rename sd34i5 mojob2014;
rename  sat7 swlb2014;
rename job13i10 mails2014;
rename job13i11 online2014;
rename job23i1 wlc12014;
rename job23i2 wlc22014;
rename job23i3 wlc32014;
rename job23i4 wlc42014;
rename job23i5 wlc52014;
rename job23i6 wlc62014;
rename job23i7 wlc72014;
rename job23i8 wlc82014;

rename k1age k1age2014;
rename k2age k2age2014;
rename k3age k3age2014;
rename k4age k4age2014;
rename k5age k5age2014;
rename k6age k6age2014;
rename k7age k7age2014;
rename k8age k8age2014;
rename k9age k9age2014;
rename k10age k10age2014;
rename hhsizemrd hhsizemrd2014;
rename hhincoecd hhincoecd2014;
rename childmrd childmrd2014;

rename mcob mcob2014;
rename fcob fcob2014;
rename pcob pcob2014;
rename cob cob2014;
sort id;
save "`path'anchor6_sorted.dta", replace;


use "`pathd'anchor7.dta", clear;
keep pid wave id val1i3 val1i4 val1i5 val1i6 srs1i1 srs1i2 sat3 sat4 pa14i1 pa15 pa21i2 sat5 sat7 isco08 demodiff d3weight dweight k1age k2age k3age k4age k5age k6age k7age k8age k9age k10age ykage
sat6  pa14i5 pa17i7 pa17i3 reldur age page sex_gen psex_gen east migstatus lfs plfs ncoh nmar np hhcomp incnet hhincnet hhincoecd childmrd
pcasmin casmin pyeduc yeduc relstat cohort dweight sdp12  nkidsalv isced pisced hhsizemrd mcob fcob pcob cob
ykage job7 job8 job13i1 job13i2 job2 job3 job4 job9 job10 job11 job12   job13i2-job13i6 sdp10i* sdp11 sdp12 hlt1 hlt7   
ehc19i* job19 job20o job13i* job13i8 job13i9    sdp20 sd34i* lsr9i*  sat7 hlt15 hlt16 hlt17i* ;
 

rename job20o job20o2015;  
rename dweight dweight2015;
rename d3weight d3weight2015;
rename isco08 isco082015;
rename ykage ykage2015;
rename job7 job72015;
rename job8 job82015;
rename job13i1 jp12015;
rename job13i2 jp22015;

rename val1i3 vali32015;
rename val1i4 vali42015;
rename val1i5 vali52015;
rename srs1i1 srs1i12015;
rename srs1i2 srs1i22015;
rename sat3 sat32015;
rename sat4 sat42015;
 
rename pa14i1 pa14i12015;
rename pa15 pa152015;
rename pa21i2 pa21i22015;
rename sat5 sat52015;
rename sat6 sat62015;
rename pa17i7 pa17i72015;
rename pa17i3 pa17i32015;
rename wave wave2015;
rename reldur reldur2015;
rename age age2015;
rename page page2015;
rename sex_gen sex_gen2015;
rename psex_gen psex_gen2015;
rename east east2015;
rename migstatus migstatus2015;
rename lfs lfs2015;
rename plfs plfs2015;
rename ncoh ncoh2015;
rename nmar nmar2015;
rename np np2015;
rename hhcomp hhcomp2015;
rename incnet incnet2015;
rename hhincnet hhincnet2015;
rename pcasmin pcasmin2015;
rename casmin casmin2015;
rename pyeduc pyeduc2015;
rename yeduc yeduc2015;
rename relstat relstat2015;
rename sdp12  whp2015; 
rename nkidsalv nkidsalv2015; 
rename pa14i5 hhcar2015;
rename isced isced2015;
rename pisced pisced2015;

rename job2 job22015;
rename job3 job32015;
rename job4 job42015;
rename job9 job92015;
rename job10 job102015;
rename job11 job112015;
rename job12 job122015;
rename job13i3 jp32015;
rename job13i4 jp42015;
rename job13i5 jp52015;
rename job13i6 jp62015; 
rename  sdp10i1  pfull2015;
rename  sdp10i2  pself2015;
rename  sdp10i3  ppart2015;
rename  sdp10i4  ptrain2015;
rename  sdp10i5  pmini2015;
rename  sdp10i6  pirreg2015;
rename  sdp10i7  pvoc2015;
rename  sdp10i8  pleav2015;
rename  sdp10i9  puni2015;
rename  sdp10i10  psoc2015;
rename  sdp10i11  punem2015;
rename  sdp10i12  phouse2015;
rename  sdp10i13  pojob2015;
rename  sdp10i14  pounem2015;
rename  sdp10i15  pretir2015;
rename sdp11 pstatus2015;
rename hlt1 h12015;
rename hlt7  h72015;

rename ehc19i10 occ102015;
rename ehc19i11 occ112015;
rename ehc19i12 occ122015;
rename ehc19i13 occ132015;
rename ehc19i14 occ142015;
rename ehc19i15 occ152015;
rename ehc19i16 occ162015;
rename ehc19i17 occ172015;
rename ehc19i18 occ182015;
rename ehc19i19 occ192015;
rename ehc19i20 occ202015;
rename job19 socc2015;
rename job13i8 coll2015;
rename job13i9  clim2015;  
rename sdp20   pnight2015;

rename sd34i1 mpart2015;
rename sd34i2 mtrain2015;
rename sd34i3 mmini2015;
rename sd34i4 mirreg2015;
rename sd34i5 mojob2015;

rename lsr9i1 lsr9i12015;
rename lsr9i2 lsr9i22015;
rename lsr9i3 lsr9i32015;
rename lsr9i4 lsr9i42015;
rename lsr9i5 lsr9i52015;
rename lsr9i6 lsr9i62015;
rename lsr9i7 lsr9i72015;

rename sat7 swlb2015;
rename hlt15 h152015;
rename hlt16 h162015;
rename hlt17i1 h7i12015;
 rename hlt17i2 h7i22015;
 rename hlt17i3 h7i32015;
rename hlt17i4 h7i42015;
rename hlt17i5 h7i52015;
rename hlt17i6 h7i62015;
rename hlt17i7 h7i72015;

rename k1age k1age2015;
rename k2age k2age2015;
rename k3age k3age2015;
rename k4age k4age2015;
rename k5age k5age2015;
rename k6age k6age2015;
rename k7age k7age2015;
rename k8age k8age2015;
rename k9age k9age2015;
rename k10age k10age2015;
rename hhsizemrd hhsizemrd2015; 
rename hhincoecd hhincoecd2015;
rename childmrd childmrd2015;
rename mcob mcob2015;
rename fcob fcob2015;
rename pcob pcob2015;
rename cob cob2015;
sort id;
save "`path'anchor7_sorted.dta", replace;


use  pid wave id srs1i1 srs1i2 sat3 sat4 pa14i1 sat5 sat7
sat6 pa14i5 pa17i7 pa17i3 reldur age page sex_gen psex_gen east migstatus lfs plfs ncoh nmar np hhcomp incnet hhincnet isco08 demodiff d3weight dweight 
k1age k2age k3age k4age k5age k6age k7age k8age k9age k10age ykage
pcasmin casmin pyeduc yeduc relstat cohort dweight sdp12  nkidsalv isced pisced ykage job7 job8 job13i1 job13i2 frt11v2i2 frt11v2i4 frt11v2i5   hhincoecd childmrd
job2 job3 job4 job9 job10 job11 job12   job13i2-job13i6 sdp10i* sdp11 sdp12 hlt1 hlt7  hhsizemrd mcob fcob pcob cob
ehc19i* job19 job20o job13i* job13i8 job13i9    sdp20 sd34i1 sd34i2 sd34i3 sd34i4 sd34i5  lsr9i* sat7 job13i10 job13i11 job23i* using  "`pathd'anchor8.dta", clear;


rename job20o job20o2016;  
rename dweight dweight2016;
rename d3weight d3weight2016;

rename isco08 isco082016;
rename frt11v2i2 frt11v2i22016;
rename frt11v2i4 frt11v2i42016;
rename frt11v2i5 frt11v2i52016; 

rename ykage ykage2016;
rename job7 job72016;
rename job8 job82016;
rename job13i1 jp12016;
rename job13i2 jp22016;

rename srs1i1 srs1i12016;
rename srs1i2 srs1i22016;
rename sat3 sat32016;
rename sat4 sat42016;
rename pa14i1 pa14i12016;

rename sat5 sat52016;
rename sat6 sat62016;
 
rename pa17i7 pa17i72016;
rename pa17i3 pa17i32016;

rename wave wave2016;
rename reldur reldur2016;
rename age age2016;
rename page page2016;
rename sex_gen sex_gen2016;
rename psex_gen psex_gen2016;
rename east east2016;
rename migstatus migstatus2016;
rename lfs lfs2016;
rename plfs plfs2016;
rename ncoh ncoh2016;
rename nmar nmar2016;
rename np np2016;
rename hhcomp hhcomp2016;
rename incnet incnet2016;
rename hhincnet hhincnet2016;
rename pcasmin pcasmin2016;
rename casmin casmin2016;
rename pyeduc pyeduc2016;
rename yeduc yeduc2016;
rename relstat relstat2016;
rename sdp12  whp2016; 
rename nkidsalv nkidsalv2016;  
rename pa14i5 hhcar2016;
rename isced isced2016;
rename pisced pisced2016;

rename job2 job22016;
rename job3 job32016;
rename job4 job42016;
rename job9 job92016;
rename job10 job102016;
rename job11 job112016;
rename job12 job122016;
rename job13i3 jp32016;
rename job13i4 jp42016;
rename job13i5 jp52016;
rename job13i6 jp62016; 
rename  sdp10i1  pfull2016;
rename  sdp10i2  pself2016;
rename  sdp10i3  ppart2016;
rename  sdp10i4  ptrain2016;
rename  sdp10i5  pmini2016;
rename  sdp10i6  pirreg2016;
rename  sdp10i7  pvoc2016;
rename  sdp10i8  pleav2016;
rename  sdp10i9  puni2016;
rename  sdp10i10  psoc2016;
rename  sdp10i11  punem2016;
rename  sdp10i12  phouse2016;
rename  sdp10i13  pojob2016;
rename  sdp10i14  pounem2016;
rename  sdp10i15  pretir2016;

rename sdp11 pstatus2016;
rename hlt1 h12016;
rename hlt7  h72016;

rename ehc19i10 occ102016;
rename ehc19i11 occ112016;
rename ehc19i12 occ122016;
rename ehc19i13 occ132016;
rename ehc19i14 occ142016;
rename ehc19i15 occ152016;
rename ehc19i16 occ162016;
rename ehc19i17 occ172016;
rename ehc19i18 occ182016;
rename ehc19i19 occ192016;
rename ehc19i20 occ202016;
rename job19 socc2016;
rename job13i8 coll2016;
rename job13i9  clim2016;  
rename sdp20   pnight2016;

rename sd34i1 mpart2016;
rename sd34i2 mtrain2016;
rename sd34i3 mmini2016;
rename sd34i4 mirreg2016;
rename sd34i5 mojob2016;

rename lsr9i1 lsr9i12016;
rename lsr9i2 lsr9i22016;
rename lsr9i3 lsr9i32016;
rename lsr9i4 lsr9i42016;
rename lsr9i5 lsr9i52016;
rename lsr9i6 lsr9i62016;
rename lsr9i7 lsr9i72016;


rename  sat7 swlb2016;
rename job13i10 mails2016;
rename job13i11 online2016;
rename job23i1 wlc12016;
rename job23i2 wlc22016;
rename job23i3 wlc32016;
rename job23i4 wlc42016;
rename job23i5 wlc52016;
rename job23i6 wlc62016;
rename job23i7 wlc72016;
rename job23i8 wlc82016;

rename k1age k1age2016;
rename k2age k2age2016;
rename k3age k3age2016;
rename k4age k4age2016;
rename k5age k5age2016;
rename k6age k6age2016;
rename k7age k7age2016;
rename k8age k8age2016;
rename k9age k9age2016;
rename k10age k10age2016;
rename hhsizemrd hhsizemrd2016; 
rename hhincoecd hhincoecd2016;
rename childmrd childmrd2016;
rename mcob mcob2016;
rename fcob fcob2016;
rename pcob pcob2016;
rename cob cob2016;
sort id;
save "`path'anchor8_sorted.dta", replace;
 
use "`pathd'anchor9.dta", clear;
keep pid wave id val1i3 val1i4 val1i5 val1i6 srs1i1 srs1i2 sat3 sat4 pa14i1 pa15 pa21i2 sat5 isco08 sat7 demodiff d3weight dweight  k1age k2age k3age k4age k5age k6age k7age k8age k9age k10age ykage
sat6  pa14i5 pa17i7 pa17i3 reldur age page sex_gen psex_gen east migstatus lfs plfs ncoh nmar np hhcomp incnet hhincnet hhincoecd childmrd
pcasmin casmin pyeduc yeduc relstat cohort dweight sdp12  nkidsalv isced pisced hhsizemrd mcob fcob pcob cob
ykage job7 job8 job13i1 job13i2 job2 job3 job4 job9 job10 job11 job12   job13i2-job13i6 sdp10i* sdp11 sdp12 hlt1 hlt7 
ehc19i* job19 job20o job13i* job13i8 job13i9 sdp20 sd34i* lsr9i* sat7 hlt15 hlt16 hlt17i*;

 
rename job20o job20o2017; 
rename dweight dweight2017;
rename d3weight d3weight2017;

rename isco08 isco082017;
rename ykage ykage2017;
rename job7 job72017;
rename job8 job82017;
rename job13i1 jp12017;
rename job13i2 jp22017;
 
rename val1i3 vali32017;
rename val1i4 vali42017;
rename val1i5 vali52017;
rename srs1i1 srs1i12017;
rename srs1i2 srs1i22017;
rename sat3 sat32017;
rename sat4 sat42017;
rename pa14i1 pa14i12017;
rename pa15 pa152017;
rename pa21i2 pa21i22017;
rename sat5 sat52017;
rename sat6 sat62017;
rename pa17i7 pa17i72017;
rename pa17i3 pa17i32017;
rename wave wave2017;
rename reldur reldur2017;
rename age age2017;
rename page page2017;
rename sex_gen sex_gen2017;
rename psex_gen psex_gen2017;
rename east east2017;
rename migstatus migstatus2017;
rename lfs lfs2017;
rename plfs plfs2017;
rename ncoh ncoh2017;
rename nmar nmar2017;
rename np np2017;
rename hhcomp hhcomp2017;
rename incnet incnet2017;
rename hhincnet hhincnet2017;
rename pcasmin pcasmin2017;
rename casmin casmin2017;
rename pyeduc pyeduc2017;
rename yeduc yeduc2017;
rename relstat relstat2017;
rename sdp12  whp2017; 
rename nkidsalv nkidsalv2017; 
rename pa14i5 hhcar2017;
rename isced isced2017;
rename pisced pisced2017;

rename job2 job22017;
rename job3 job32017;
rename job4 job42017;
rename job9 job92017;
rename job10 job102017;
rename job11 job112017;
rename job12 job122017;
rename job13i3 jp32017;
rename job13i4 jp42017;
rename job13i5 jp52017;
rename job13i6 jp62017; 
rename  sdp10i1  pfull2017;
rename  sdp10i2  pself2017;
rename  sdp10i3  ppart2017;
rename  sdp10i4  ptrain2017;
rename  sdp10i5  pmini2017;
rename  sdp10i6  pirreg2017;
rename  sdp10i7  pvoc2017;
rename  sdp10i8  pleav2017;
rename  sdp10i9  puni2017;
rename  sdp10i10  psoc2017;
rename  sdp10i11  punem2017;
rename  sdp10i12  phouse2017;
rename  sdp10i13  pojob2017;
rename  sdp10i14  pounem2017;
rename  sdp10i15  pretir2017;
rename sdp11 pstatus2017;
rename hlt1 h12017;
rename hlt7  h72017;

rename ehc19i10 occ102017;
rename ehc19i11 occ112017;
rename ehc19i12 occ122017;
rename ehc19i13 occ132017;
rename ehc19i14 occ142017;
rename ehc19i15 occ152017;
rename ehc19i16 occ162017;
rename ehc19i17 occ172017;
rename ehc19i18 occ182017;
rename ehc19i19 occ192017;
rename ehc19i20 occ202017;
rename job19 socc2017;
rename job13i8 coll2017;
rename job13i9  clim2017;  
rename sdp20   pnight2017;

rename sd34i1 mpart2017;
rename sd34i2 mtrain2017;
rename sd34i3 mmini2017;
rename sd34i4 mirreg2017;
rename sd34i5 mojob2017;

rename lsr9i1 lsr9i12017;
rename lsr9i2 lsr9i22017;
rename lsr9i3 lsr9i32017;
rename lsr9i4 lsr9i42017;
rename lsr9i5 lsr9i52017;
rename lsr9i6 lsr9i62017;
rename lsr9i7 lsr9i72017;

rename sat7 swlb2017;
rename hlt15 h152017;
rename hlt16 h162017;
rename hlt17i1 h7i12017;
 rename hlt17i2 h7i22017;
 rename hlt17i3 h7i32017;
rename hlt17i4 h7i42017;
rename hlt17i5 h7i52017;
rename hlt17i6 h7i62017;
rename hlt17i7 h7i72017;

rename k1age k1age2017;
rename k2age k2age2017;
rename k3age k3age2017;
rename k4age k4age2017;
rename k5age k5age2017;
rename k6age k6age2017;
rename k7age k7age2017;
rename k8age k8age2017;
rename k9age k9age2017;
rename k10age k10age2017;
rename hhsizemrd hhsizemrd2017; 
rename hhincoecd hhincoecd2017;
rename childmrd childmrd2017;

rename mcob mcob2017;
rename fcob fcob2017;
rename pcob pcob2017;
rename cob cob2017;
sort id;
save "`path'anchor9_sorted.dta", replace;


use  pid wave id srs1i1 srs1i2 sat3 sat4 pa14i1 sat5
sat6 pa14i5 pa17i7 pa17i3 reldur age page sex_gen psex_gen east migstatus sat7 lfs plfs ncoh nmar np hhcomp incnet hhincnet isco08 demodiff d3weight dweight 
k1age k2age k3age k4age k5age k6age k7age k8age k9age k10age ykage
pcasmin casmin pyeduc yeduc relstat cohort dweight sdp12  nkidsalv isced pisced ykage job7 job8 job13i1 job13i2 frt11v2i2 frt11v2i4 frt11v2i5   hhincoecd childmrd
job2 job3 job4 job9 job10 job11 job12   job13i2-job13i6 sdp10i* sdp11 sdp12 hlt1 hlt7  hhsizemrd mcob fcob pcob cob
ehc19i* job19 job20o job13i* job13i8 job13i9    sdp20 sd34i1 sd34i2 sd34i3 sd34i4 sd34i5  lsr9i* sat7 job13i10 job13i11 job23i* job26 job25 using  "`pathd'anchor10.dta", clear;
 
 
rename job20o job20o2018; 
rename job25 job252018; 
rename job26 job262018; 

rename dweight dweight2018;
rename d3weight d3weight2018;

rename isco08 isco082018;
rename frt11v2i2 frt11v2i22018;
rename frt11v2i4 frt11v2i42018;
rename frt11v2i5 frt11v2i52018; 

rename ykage ykage2018;
rename job7 job72018;
rename job8 job82018;
rename job13i1 jp12018;
rename job13i2 jp22018;
 

rename srs1i1 srs1i12018;
rename srs1i2 srs1i22018;
rename sat3 sat32018;
rename sat4 sat42018;
rename pa14i1 pa14i12018;

rename sat5 sat52018;
rename sat6 sat62018;
rename pa17i7 pa17i72018;
rename pa17i3 pa17i32018;

rename wave wave2018;
rename reldur reldur2018;
rename age age2018;
rename page page2018;
rename sex_gen sex_gen2018;
rename psex_gen psex_gen2018;
rename east east2018;
rename migstatus migstatus2018;
rename lfs lfs2018;
rename plfs plfs2018;
rename ncoh ncoh2018;
rename nmar nmar2018;
rename np np2018;
rename hhcomp hhcomp2018;
rename incnet incnet2018;
rename hhincnet hhincnet2018;
rename pcasmin pcasmin2018;
rename casmin casmin2018;
rename pyeduc pyeduc2018;
rename yeduc yeduc2018;
rename relstat relstat2018;
rename sdp12  whp2018; 
rename nkidsalv nkidsalv2018;  
rename pa14i5 hhcar2018;
rename isced isced2018;
rename pisced pisced2018;

rename job2 job22018;
rename job3 job32018;
rename job4 job42018;
rename job9 job92018;
rename job10 job102018;
rename job11 job112018;
rename job12 job122018;
rename job13i3 jp32018;
rename job13i4 jp42018;
rename job13i5 jp52018;
rename job13i6 jp62018; 
rename  sdp10i1  pfull2018;
rename  sdp10i2  pself2018;
rename  sdp10i3  ppart2018;
rename  sdp10i4  ptrain2018;
rename  sdp10i5  pmini2018;
rename  sdp10i6  pirreg2018;
rename  sdp10i7  pvoc2018;
rename  sdp10i8  pleav2018;
rename  sdp10i9  puni2018;
rename  sdp10i10  psoc2018;
rename  sdp10i11  punem2018;
rename  sdp10i12  phouse2018;
rename  sdp10i13  pojob2018;
rename  sdp10i14  pounem2018;
rename  sdp10i15  pretir2018;

rename sdp11 pstatus2018;
rename hlt1 h12018;
rename hlt7  h72018;

rename ehc19i10 occ102018;
rename ehc19i11 occ112018;
rename ehc19i12 occ122018;
rename ehc19i13 occ132018;
rename ehc19i14 occ142018;
rename ehc19i15 occ152018;
rename ehc19i16 occ162018;
rename ehc19i17 occ172018;
rename ehc19i18 occ182018;
rename ehc19i19 occ192018;
rename ehc19i20 occ202018;
rename job19 socc2018;
rename job13i8 coll2018;
rename job13i9  clim2018;  
rename sdp20   pnight2018;

rename sd34i1 mpart2018;
rename sd34i2 mtrain2018;
rename sd34i3 mmini2018;
rename sd34i4 mirreg2018;
rename sd34i5 mojob2018;

rename lsr9i1 lsr9i12018;
rename lsr9i2 lsr9i22018;
rename lsr9i3 lsr9i32018;
rename lsr9i4 lsr9i42018;
rename lsr9i5 lsr9i52018;
rename lsr9i6 lsr9i62018;
rename lsr9i7 lsr9i72018;


rename  sat7 swlb2018;
rename job13i10 mails2018;
rename job13i11 online2018;
rename job23i1 wlc12018;
rename job23i2 wlc22018;
rename job23i3 wlc32018;
rename job23i4 wlc42018;
rename job23i5 wlc52018;
rename job23i6 wlc62018;
rename job23i7 wlc72018;
rename job23i8 wlc82018;

rename k1age k1age2018;
rename k2age k2age2018;
rename k3age k3age2018;
rename k4age k4age2018;
rename k5age k5age2018;
rename k6age k6age2018;
rename k7age k7age2018;
rename k8age k8age2018;
rename k9age k9age2018;
rename k10age k10age2018;
rename hhsizemrd hhsizemrd2018; 
rename hhincoecd hhincoecd2018;
rename childmrd childmrd2018;
rename mcob mcob2018;
rename fcob fcob2018;
rename pcob pcob2018;
rename cob cob2018;
sort id;
save "`path'anchor10_sorted.dta", replace;



use "`pathd'anchor11.dta", clear;
keep pid wave id val1i3 val1i4 val1i5 val1i6 srs1i1 srs1i2 sat3 sat4 pa14i1 pa15 pa21i2 sat5 isco08 sat7 demodiff d3weight dweight k1age k2age k3age k4age k5age k6age k7age k8age k9age k10age ykage
sat6  pa14i5 pa17i7 pa17i3 reldur age page sex_gen psex_gen east migstatus lfs plfs ncoh nmar np hhcomp incnet hhincnet hhincoecd childmrd
pcasmin casmin pyeduc yeduc relstat cohort dweight sdp12  nkidsalv isced pisced hhsizemrd mcob fcob pcob cob
ykage job7 job8 job13i1 job13i2 job2 job3 job4 job9 job10 job11 job12   job13i2-job13i6 sdp10i* sdp11 sdp12 hlt1 hlt7 
ehc19i* job19 job20o job13i* job13i8 job13i9    sdp20 sd34i* lsr9i* sat7 hlt15 hlt16 hlt17i* job26 job25;
 
 
rename job20o job20o2019;  
rename job25 job252019; 
rename job26 job262019;
 
rename dweight dweight2019;
rename d3weight d3weight2019;
 
rename isco08 isco082019;
rename ykage ykage2019;
rename job7 job72019;
rename job8 job82019;
rename job13i1 jp12019;
rename job13i2 jp22019;
 
rename val1i3 vali32019;
rename val1i4 vali42019;
rename val1i5 vali52019;
rename srs1i1 srs1i12019;
rename srs1i2 srs1i22019;
rename sat3 sat32019;
rename sat4 sat42019;
rename pa14i1 pa14i12019;
rename pa15 pa152019;
rename pa21i2 pa21i22019;
rename sat5 sat52019;
rename sat6 sat62019;
rename pa17i7 pa17i72019;
rename pa17i3 pa17i32019;
rename wave wave2019;
rename reldur reldur2019;
rename age age2019;
rename page page2019;
rename sex_gen sex_gen2019;
rename psex_gen psex_gen2019;
rename east east2019;
rename migstatus migstatus2019;
rename lfs lfs2019;
rename plfs plfs2019;
rename ncoh ncoh2019;
rename nmar nmar2019;
rename np np2019;
rename hhcomp hhcomp2019;
rename incnet incnet2019;
rename hhincnet hhincnet2019;
rename pcasmin pcasmin2019;
rename casmin casmin2019;
rename pyeduc pyeduc2019;
rename yeduc yeduc2019;
rename relstat relstat2019;
rename sdp12  whp2019; 
rename nkidsalv nkidsalv2019; 
rename pa14i5 hhcar2019;
rename isced isced2019;
rename pisced pisced2019;

rename job2 job22019;
rename job3 job32019;
rename job4 job42019;
rename job9 job92019;
rename job10 job102019;
rename job11 job112019;
rename job12 job122019;
rename job13i3 jp32019;
rename job13i4 jp42019;
rename job13i5 jp52019;
rename job13i6 jp62019; 
rename  sdp10i1  pfull2019;
rename  sdp10i2  pself2019;
rename  sdp10i3  ppart2019;
rename  sdp10i4  ptrain2019;
rename  sdp10i5  pmini2019;
rename  sdp10i6  pirreg2019;
rename  sdp10i7  pvoc2019;
rename  sdp10i8  pleav2019;
rename  sdp10i9  puni2019;
rename  sdp10i10  psoc2019;
rename  sdp10i11  punem2019;
rename  sdp10i12  phouse2019;
rename  sdp10i13  pojob2019;
rename  sdp10i14  pounem2019;
rename  sdp10i15  pretir2019;
rename sdp11 pstatus2019;
rename hlt1 h12019;
rename hlt7  h72019;

rename ehc19i10 occ102019;
rename ehc19i11 occ112019;
rename ehc19i12 occ122019;
rename ehc19i13 occ132019;
rename ehc19i14 occ142019;
rename ehc19i15 occ152019;
rename ehc19i16 occ162019;
rename ehc19i17 occ172019;
rename ehc19i18 occ182019;
rename ehc19i19 occ192019;
rename ehc19i20 occ202019;
rename job19 socc2019;
rename job13i8 coll2019;
rename job13i9  clim2019;  
rename sdp20   pnight2019;

rename sd34i1 mpart2019;
rename sd34i2 mtrain2019;
rename sd34i3 mmini2019;
rename sd34i4 mirreg2019;
rename sd34i5 mojob2019;

rename lsr9i1 lsr9i12019;
rename lsr9i2 lsr9i22019;
rename lsr9i3 lsr9i32019;
rename lsr9i4 lsr9i42019;
rename lsr9i5 lsr9i52019;
rename lsr9i6 lsr9i62019;
rename lsr9i7 lsr9i72019;

rename sat7 swlb2019;
rename hlt15 h152019;
rename hlt16 h162019;
rename hlt17i1 h7i12019;
 rename hlt17i2 h7i22019;
 rename hlt17i3 h7i32019;
rename hlt17i4 h7i42019;
rename hlt17i5 h7i52019;
rename hlt17i6 h7i62019;
rename hlt17i7 h7i72019;

rename k1age k1age2019;
rename k2age k2age2019;
rename k3age k3age2019;
rename k4age k4age2019;
rename k5age k5age2019;
rename k6age k6age2019;
rename k7age k7age2019;
rename k8age k8age2019;
rename k9age k9age2019;
rename k10age k10age2019;
rename hhsizemrd hhsizemrd2019; 
rename hhincoecd hhincoecd2019;
rename childmrd childmrd2019;

rename mcob mcob2019;
rename fcob fcob2019;
rename pcob pcob2019;
rename cob cob2019;
sort id;
save "`path'anchor11_sorted.dta", replace;


use  pid wave id  sat3 sat4 pa14i1 sat5
sat6 pa14i5 pa17i7 pa17i3 reldur age page sex_gen psex_gen east migstatus sat7 lfs plfs ncoh nmar np hhcomp incnet hhincnet isco08 demodiff d3weight dweight 
k1age k2age k3age k4age k5age k6age k7age k8age k9age k10age ykage
pcasmin casmin pyeduc yeduc relstat cohort dweight sdp12  nkidsalv isced pisced ykage job7 job8 job13i1 job13i2 frt11v2i2 frt11v2i4 frt11v2i5   hhincoecd childmrd
job2 job3 job4 job9 job10 job11 job12   job13i2-job13i6 sdp10i* sdp11 sdp12 hlt1 hlt7  hhsizemrd mcob fcob pcob cob
ehc19i* job19 job20o job13i* job13i8 job13i9    sdp20 sd34i1 sd34i2 sd34i3 sd34i4 sd34i5  lsr9i* sat7 job13i10 job13i11 job23i* job26 job25 job27i* job28 job29i* using  "`pathd'anchor12_capi.dta", clear;
 
rename job27i1 job27i12020; 
rename job27i2 job27i22020; 
rename job27i3 job27i32020; 
rename job27i4 job27i42020;
rename job27i5 job27i52020; 
rename job27i6 job27i62020; 
rename job28 job282020;  

 
rename job20o job20o2020; 
rename job26 job262020; 
rename job25 job252020; 
rename dweight dweight2020;
rename d3weight d3weight2020;

rename isco08 isco082020;
rename frt11v2i2 frt11v2i22020;
rename frt11v2i4 frt11v2i42020;
rename frt11v2i5 frt11v2i52020; 

rename ykage ykage2020;
rename job7 job72020;
rename job8 job82020;
rename job13i1 jp12020;
rename job13i2 jp22020;
 

 
rename sat3 sat32020;
rename sat4 sat42020;
rename pa14i1 pa14i12020;

rename sat5 sat52020;
rename sat6 sat62020;
rename pa17i7 pa17i72020;
rename pa17i3 pa17i32020;

rename wave wave2020;
rename reldur reldur2020;
rename age age2020;
rename page page2020;
rename sex_gen sex_gen2020;
rename psex_gen psex_gen2020;
rename east east2020;
rename migstatus migstatus2020;
rename lfs lfs2020;
rename plfs plfs2020;
rename ncoh ncoh2020;
rename nmar nmar2020;
rename np np2020;
rename hhcomp hhcomp2020;
rename incnet incnet2020;
rename hhincnet hhincnet2020;
rename pcasmin pcasmin2020;
rename casmin casmin2020;
rename pyeduc pyeduc2020;
rename yeduc yeduc2020;
rename relstat relstat2020;
rename sdp12  whp2020; 
rename nkidsalv nkidsalv2020;  
rename pa14i5 hhcar2020;
rename isced isced2020;
rename pisced pisced2020;

rename job29i1 job29i12020;
rename job29i2 job29i22020;
rename job29i3 job29i32020;
rename job29i4 job29i42020;

rename job2 job22020;
rename job3 job32020;
rename job4 job42020;
rename job9 job92020;
rename job10 job102020;
rename job11 job112020;
rename job12 job122020;
rename job13i3 jp32020;
rename job13i4 jp42020;
rename job13i5 jp52020;
rename job13i6 jp62020; 
rename  sdp10i1  pfull2020;
rename  sdp10i2  pself2020;
rename  sdp10i3  ppart2020;
rename  sdp10i4  ptrain2020;
rename  sdp10i5  pmini2020;
rename  sdp10i6  pirreg2020;
rename  sdp10i7  pvoc2020;
rename  sdp10i8  pleav2020;
rename  sdp10i9  puni2020;
rename  sdp10i10  psoc2020;
rename  sdp10i11  punem2020;
rename  sdp10i12  phouse2020;
rename  sdp10i13  pojob2020;
rename  sdp10i14  pounem2020;
rename  sdp10i15  pretir2020;

rename sdp11 pstatus2020;
rename hlt1 h12020;
rename hlt7  h72020;

rename ehc19i10 occ102020;
rename ehc19i11 occ112020;
rename ehc19i12 occ122020;
rename ehc19i13 occ132020;
rename ehc19i14 occ142020;
rename ehc19i15 occ152020;
rename ehc19i16 occ162020;
rename ehc19i17 occ172020;
rename ehc19i18 occ182020;
rename ehc19i19 occ192020;
rename ehc19i20 occ202020;
rename job19 socc2020;
rename job13i8 coll2020;
rename job13i9  clim2020;  
rename sdp20   pnight2020;

rename sd34i1 mpart2020;
rename sd34i2 mtrain2020;
rename sd34i3 mmini2020;
rename sd34i4 mirreg2020;
rename sd34i5 mojob2020;

rename lsr9i1 lsr9i12020;
rename lsr9i2 lsr9i22020;
rename lsr9i3 lsr9i32020;
rename lsr9i4 lsr9i42020;
rename lsr9i5 lsr9i52020;
rename lsr9i6 lsr9i62020;
rename lsr9i7 lsr9i72020;


rename  sat7 swlb2020;
rename job13i10 mails2020;
rename job13i11 online2020;
rename job23i1 wlc12020;
rename job23i2 wlc22020;
rename job23i3 wlc32020;
rename job23i4 wlc42020;
rename job23i5 wlc52020;
rename job23i6 wlc62020;
rename job23i7 wlc72020;
rename job23i8 wlc82020;

rename k1age k1age2020;
rename k2age k2age2020;
rename k3age k3age2020;
rename k4age k4age2020;
rename k5age k5age2020;
rename k6age k6age2020;
rename k7age k7age2020;
rename k8age k8age2020;
rename k9age k9age2020;
rename k10age k10age2020;
rename hhsizemrd hhsizemrd2020; 
rename hhincoecd hhincoecd2020;
rename childmrd childmrd2020;
rename mcob mcob2020;
rename fcob fcob2020;
rename pcob pcob2020;
rename cob cob2020;
sort id;
save "`path'anchor12_capi_sorted.dta", replace;


 use  pid wave id  sat3 sat4 pa14i1 sat5
sat6 pa14i5 pa17i7 pa17i3 reldur age page sex_gen psex_gen east migstatus sat7 lfs plfs ncoh nmar np hhcomp incnet hhincnet isco08 demodiff d3weight dweight 
k1age k2age k3age k4age k5age k6age k7age k8age k9age k10age ykage
pcasmin casmin pyeduc yeduc relstat cohort dweight sdp12  nkidsalv isced pisced ykage job7 job8 job13i1 job13i2 frt11v2i2 frt11v2i4 frt11v2i5   hhincoecd childmrd
job2 job3 job4 job9 job10 job11 job12 job20o  job13i2-job13i6 sdp10i* sdp11 sdp12 hlt1 hlt7  hhsizemrd mcob fcob pcob cob
ehc19i* job19  job13i* job13i8 job13i9    sdp20 sd34i1 sd34i2 sd34i3 sd34i4 sd34i5  lsr9i* sat7 job13i10 job13i11 job23i* job26 job25 job27i* job28 job29i* using  "`pathd'anchor12_cati.dta", clear;
 
rename job27i1 job27i12020; 
rename job27i2 job27i22020; 
rename job27i3 job27i32020; 
rename job27i4 job27i42020;
rename job27i5 job27i52020; 
rename job27i6 job27i62020; 
rename job28 job282020;  

rename job29i1 job29i12020;
rename job29i2 job29i22020;
rename job29i3 job29i32020;
rename job29i4 job29i42020;

rename job26 job262020; 
rename job25 job252020; 
rename dweight dweight2020;
rename d3weight d3weight2020;

rename isco08 isco082020;
rename frt11v2i2 frt11v2i22020;
rename frt11v2i4 frt11v2i42020;
rename frt11v2i5 frt11v2i52020; 

rename ykage ykage2020;
rename job7 job72020;
rename job8 job82020;
rename job13i1 jp12020;
rename job13i2 jp22020;
 

 
rename sat3 sat32020;
rename sat4 sat42020;
rename pa14i1 pa14i12020;

rename sat5 sat52020;
rename sat6 sat62020;
rename pa17i7 pa17i72020;
rename pa17i3 pa17i32020;

rename wave wave2020;
rename reldur reldur2020;
rename age age2020;
rename page page2020;
rename sex_gen sex_gen2020;
rename psex_gen psex_gen2020;
rename east east2020;
rename migstatus migstatus2020;
rename lfs lfs2020;
rename plfs plfs2020;
rename ncoh ncoh2020;
rename nmar nmar2020;
rename np np2020;
rename hhcomp hhcomp2020;
rename incnet incnet2020;
rename hhincnet hhincnet2020;
rename pcasmin pcasmin2020;
rename casmin casmin2020;
rename pyeduc pyeduc2020;
rename yeduc yeduc2020;
rename relstat relstat2020;
rename sdp12  whp2020; 
rename nkidsalv nkidsalv2020;  
rename pa14i5 hhcar2020;
rename isced isced2020;
rename pisced pisced2020;

rename job2 job22020;
rename job3 job32020;
rename job4 job42020;
rename job9 job92020;
rename job10 job102020;
rename job11 job112020;
rename job12 job122020;
rename job13i3 jp32020;
rename job13i4 jp42020;
rename job13i5 jp52020;
rename job13i6 jp62020; 
rename  sdp10i1  pfull2020;
rename  sdp10i2  pself2020;
rename  sdp10i3  ppart2020;
rename  sdp10i4  ptrain2020;
rename  sdp10i5  pmini2020;
rename  sdp10i6  pirreg2020;
rename  sdp10i7  pvoc2020;
rename  sdp10i8  pleav2020;
rename  sdp10i9  puni2020;
rename  sdp10i10  psoc2020;
rename  sdp10i11  punem2020;
rename  sdp10i12  phouse2020;
rename  sdp10i13  pojob2020;
rename  sdp10i14  pounem2020;
rename  sdp10i15  pretir2020;

rename sdp11 pstatus2020;
rename hlt1 h12020;
rename hlt7  h72020;

rename ehc19i10 occ102020;
rename ehc19i11 occ112020;
rename ehc19i12 occ122020;
rename ehc19i13 occ132020;
rename ehc19i14 occ142020;
rename ehc19i15 occ152020;
rename ehc19i16 occ162020;
rename ehc19i17 occ172020;
rename ehc19i18 occ182020;
rename ehc19i19 occ192020;
rename ehc19i20 occ202020;
rename job19 socc2020;
rename job13i8 coll2020;
rename job13i9  clim2020;  
rename sdp20   pnight2020;

rename sd34i1 mpart2020;
rename sd34i2 mtrain2020;
rename sd34i3 mmini2020;
rename sd34i4 mirreg2020;
rename sd34i5 mojob2020;

rename lsr9i1 lsr9i12020;
rename lsr9i2 lsr9i22020;
rename lsr9i3 lsr9i32020;
rename lsr9i4 lsr9i42020;
rename lsr9i5 lsr9i52020;
rename lsr9i6 lsr9i62020;
rename lsr9i7 lsr9i72020;


rename  sat7 swlb2020;
rename job13i10 mails2020;
rename job13i11 online2020;
rename job23i1 wlc12020;
rename job23i2 wlc22020;
rename job23i3 wlc32020;
rename job23i4 wlc42020;
rename job23i5 wlc52020;
rename job23i6 wlc62020;
rename job23i7 wlc72020;
rename job23i8 wlc82020;

rename k1age k1age2020;
rename k2age k2age2020;
rename k3age k3age2020;
rename k4age k4age2020;
rename k5age k5age2020;
rename k6age k6age2020;
rename k7age k7age2020;
rename k8age k8age2020;
rename k9age k9age2020;
rename k10age k10age2020;
rename hhsizemrd hhsizemrd2020; 
rename hhincoecd hhincoecd2020;
rename childmrd childmrd2020;
rename mcob mcob2020;
rename fcob fcob2020;
rename pcob pcob2020;
rename cob cob2020;
sort id;
save "`path'anchor12_cati_sorted.dta", replace;


use "`path'anchor12_capi_sorted.dta", clear;
sort id ;
merge id using "`path'anchor12_cati_sorted.dta";
tab _merge;
drop _merge;
sort   id ;
save "`path'anchor12_sorted.dta", replace;
 
 
 
****************************************************************************************************************************
*MERGE ANCHOR DATEN IN LONG;

 
use "`path'anchor1_sorted.dta", clear;
sort id ;
merge id using "`path'anchor2_sorted.dta";
tab _merge;
drop _merge;
sort   id ;
save "`path'anchorwide_sorted.dta", replace;

 
use "`path'anchorwide_sorted.dta", clear;
sort id ;
merge id using "`path'anchor3_sorted.dta";
tab _merge;
drop _merge;
sort   id ;
save "`path'anchorwide_sorted.dta", replace; 

 

use "`path'anchorwide_sorted.dta", clear;
sort id ;
merge id using "`path'anchor4_sorted.dta";
tab _merge;
drop _merge;
sort   id ;
save "`path'anchorwide_sorted.dta", replace;

 
use "`path'anchorwide_sorted.dta", clear;
sort id ;
merge id using "`path'anchor5_sorted.dta";
tab _merge;
drop _merge;
sort   id ;
save "`path'anchorwide_sorted.dta", replace;

use "`path'anchorwide_sorted.dta", clear;
sort id ;
merge id using "`path'anchor6_sorted.dta";
tab _merge;
drop _merge;
sort   id ;
save "`path'anchorwide_sorted.dta", replace;

use "`path'anchorwide_sorted.dta", clear;
sort id ;
merge id using "`path'anchor7_sorted.dta";
tab _merge;
drop _merge;
sort   id ;
save "`path'anchorwide_sorted.dta", replace;

use "`path'anchorwide_sorted.dta", clear;
sort id ;
merge id using "`path'anchor8_sorted.dta";
tab _merge;
drop _merge;
sort   id ;
save "`path'anchorwide_sorted.dta", replace;

use "`path'anchorwide_sorted.dta", clear;
sort id ;
merge id using "`path'anchor9_sorted.dta";
tab _merge;
drop _merge;
sort   id ;
save "`path'anchorwide_sorted.dta", replace;

use "`path'anchorwide_sorted.dta", clear;
sort id ;
merge id using "`path'anchor10_sorted.dta";
tab _merge;
drop _merge;
sort   id ;
save "`path'anchorwide_sorted.dta", replace;


use "`path'anchorwide_sorted.dta", clear;
sort id ;
merge id using "`path'anchor11_sorted.dta";
tab _merge;
drop _merge;
sort   id ;
save "`path'anchorwide_sorted.dta", replace;

use "`path'anchorwide_sorted.dta", clear;


sort id ;
merge id using "`path'anchor12_sorted.dta";
tab _merge;
drop _merge;
sort   id ;
save "`path'anchorwide_sorted.dta", replace;



use "`path'anchorwide_sorted.dta", clear;
reshape long vali3 vali4 vali5  sat3 sat4 sat5 sat6 pa14i1 pa17i7 pa17i3  hhcomp np nmar ncoh plfs lfs isco08   d3weight dweight socc coll clim pnight hhsizemrd  
pa15 pa21i2 sd31 wave reldur  relstat yeduc pyeduc casmin pcasmin hhincnet incnet migstatus age page sex_gen sd19k1y sd19k2y sd19k3y sd19k4y sd19k5y sd19k6y sd19k7y sd19k8y sd19k9y  sd19k10y
psex_gen east pworkh  nkidsalv hhcar isced pisced ykage pstatus whp h1 h7 job7 job8 frt11v2i2 frt11v2i4 frt11v2i5 sd23i14 sd23i11  k1age k2age k3age k4age k5age k6age k7age k8age k9age k10age  
job2 job3 job4 job9 job10 job11 job12 job24 job25 job26  jp1 jp2 jp3 jp4 jp5 jp6 pfull pself ppart ptrain pmini pirreg pvoc pleav puni psoc punem phouse pojob pounem pretir
occ10 occ11 occ12 occ13 occ14 occ15 occ16 occ17 occ18 occ19 occ20 mpart mtrain mmini mirreg mojob lsr9i1 lsr9i2 lsr9i3 lsr9i4 lsr9i5 lsr9i6 lsr9i7 swlb  hhincoecd childmrd
mails online wlc1 wlc2 wlc3 wlc4 wlc5 wlc6 wlc7 wlc8 h15 h16 h7i1 h7i2 h7i3 h7i4 h7i5 h7i6 h7i7 mcob fcob pcob cob  job27i1 job27i2 job27i3 job27i4 job27i5 job27i6 job28   
srs1i1 srs1i2 job29i1 job29i2 job29i3 job29i4 , i(id) j(year);

 
drop if wave==.;
drop sdp*; 
drop ehc*;

mvdecode _all, mv(-2);
mvdecode _all, mv(-4);
mvdecode _all, mv(-7);
mvdecode _all, mv(-1);
mvdecode _all, mv(-3);
mvdecode _all, mv(-9);

sort id;

 
rename vali3 fraufam;
rename vali4 manhh;
rename vali5 kinleid;
rename srs1i1 iworkint;
rename srs1i2 ileisure;
rename sat3 satrel;
rename sat4 satrelpa;
rename sat5 satsex;
rename sat6 lifesat;
rename pa14i1 hhdiv;
rename pa17i7 druchs;
rename pa17i3 einflu;
rename pa15 gerechhh;
rename pa21i2 konflhh;
rename sd31 relprak;  

save "`path'anchorlong.dta", replace;


*************************************************************************************************************************************************************************************************************************
*MERGING ANCHOR AND PARTNER;
*************************************************************************************************************************************************************************************************************************

use "`path'anchorlong.dta", clear;
sort id year;
merge id year using "`path'partnerlong.dta";
tab _merge;
drop _merge;
 

**************************************************
sort id year;
save "`path'anchorpartnerlong.dta", replace;
**************************************************
